/*
	various definitons related to the image loader
	which for some strange reason don't appear in a standard header file
*/
#include <ldrimgdef>
#include <ldrdef>

/*	ref handle structure	*/

	typedef struct ldr_refhdl
	{
		void *addr;		/* start address of image	*/
		LDRIMG *lid;		/* address of ldr image data 	*/
		unsigned long seqnum;	/* sequence number		*/
	} LDR_REFHDL;

/* 	the routines	*/

	extern unsigned long ldr$load_image(struct dsc$descriptor_s *ename,
		unsigned long flags, LDR_REFHDL *refhdr, ...);
	extern unsigned long ldr$ref_info(struct dsc$descriptor_s *ename,
		LDR_REFHDL *refhdl);
	extern unsigned long ldr$unload_image(struct dsc$descriptor_s *ename,
		LDR_REFHDL *refhdl);
	extern unsigned long sys$make_ref(LDR_REFHDL *refhdl);
	extern unsigned long sys$remove_ref(LDR_REFHDL *refhdl);
